Package: org.codehaus.groovy.grails.web.taglib.jsp

## [Java] Class JspFormTag

- org.codehaus.groovy.grails.web.taglib.jsp.JspFormTag

- JSP facade onto the GSP form tag

  Authors:
    Graeme Rocher

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JspInvokeGrailsTagLibTag` | `attributes`
    `class javax.servlet.jsp.tagext.BodyTagSupport` | `EVAL_BODY_TAG, EVAL_BODY_BUFFERED, EVAL_BODY_AGAIN, SKIP_BODY, EVAL_BODY_INCLUDE, SKIP_PAGE, EVAL_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JspFormTag ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getAction()`
    `java.lang.String` | `getController()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getMethod()`
    `java.lang.String` | `getParams()`
    `java.lang.String` | `getUrl()`
    `void` | `setAction(java.lang.String action)`
    `void` | `setController(java.lang.String controller)`
    `void` | `setId(java.lang.String id)`
    `void` | `setMethod(java.lang.String method)`
    `void` | `setParams(java.lang.String params)`
    `void` | `setUrl(java.lang.String url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JspInvokeGrailsTagLibTag` | `doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName`
    `class javax.servlet.jsp.tagext.BodyTagSupport` | `javax.servlet.jsp.tagext.BodyTagSupport#release(), javax.servlet.jsp.tagext.BodyTagSupport#doStartTag(), javax.servlet.jsp.tagext.BodyTagSupport#doEndTag(), javax.servlet.jsp.tagext.BodyTagSupport#doAfterBody(), javax.servlet.jsp.tagext.BodyTagSupport#setBodyContent(javax.servlet.jsp.tagext.BodyContent), javax.servlet.jsp.tagext.BodyTagSupport#doInitBody(), javax.servlet.jsp.tagext.BodyTagSupport#getBodyContent(), javax.servlet.jsp.tagext.BodyTagSupport#getPreviousOut(), javax.servlet.jsp.tagext.BodyTagSupport#getValue(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#getParent(), javax.servlet.jsp.tagext.BodyTagSupport#getId(), javax.servlet.jsp.tagext.BodyTagSupport#setParent(javax.servlet.jsp.tagext.Tag), javax.servlet.jsp.tagext.BodyTagSupport#setValue(java.lang.String, java.lang.Object), javax.servlet.jsp.tagext.BodyTagSupport#getValues(), javax.servlet.jsp.tagext.BodyTagSupport#setId(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#findAncestorWithClass(javax.servlet.jsp.tagext.Tag, java.lang.Class), javax.servlet.jsp.tagext.BodyTagSupport#setPageContext(javax.servlet.jsp.PageContext), javax.servlet.jsp.tagext.BodyTagSupport#removeValue(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#wait(long, int), javax.servlet.jsp.tagext.BodyTagSupport#wait(long), javax.servlet.jsp.tagext.BodyTagSupport#wait(), javax.servlet.jsp.tagext.BodyTagSupport#equals(java.lang.Object), javax.servlet.jsp.tagext.BodyTagSupport#toString(), javax.servlet.jsp.tagext.BodyTagSupport#hashCode(), javax.servlet.jsp.tagext.BodyTagSupport#getClass(), javax.servlet.jsp.tagext.BodyTagSupport#notify(), javax.servlet.jsp.tagext.BodyTagSupport#notifyAll()`

- - ### Constructor Detail

    - #### public JspFormTag()

  - ### Method Detail

    - #### public java.lang.String getAction()

    - #### public java.lang.String getController()

    - #### @java.lang.Override public java.lang.String getId()

    - #### public java.lang.String getMethod()

    - #### public java.lang.String getParams()

    - #### public java.lang.String getUrl()

    - #### public void setAction(java.lang.String action)

    - #### public void setController(java.lang.String controller)

    - #### @java.lang.Override public void setId(java.lang.String id)

    - #### public void setMethod(java.lang.String method)

    - #### public void setParams(java.lang.String params)

    - #### public void setUrl(java.lang.String url)